// Code generated by mockery v2.9.4. DO NOT EDIT.

package sqsmock

import (
	gosqs "github.com/ilyasiv2003/gosqs"
	mock "github.com/stretchr/testify/mock"
)

// Client is an autogenerated mock type for the Client type
type Client struct {
	mock.Mock
}

// StartConsumers provides a mock function with given fields: consumers
func (_m *Client) StartConsumers(consumers map[string]gosqs.Handler) error {
	ret := _m.Called(consumers)

	var r0 error
	if rf, ok := ret.Get(0).(func(map[string]gosqs.Handler) error); ok {
		r0 = rf(consumers)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
